diff --git a/src/monitor/monitor.c b/src/monitor/monitor.c
index 3d8ba26..36480e2 100644
--- a/src/monitor/monitor.c
+++ b/src/monitor/monitor.c
@@ -1896,7 +1896,7 @@ static void poll_config_file(struct tevent_context *ev,
             /* Note: this will fire if the modification time changes into the past
              * as well as the future.
              */
-            DEBUG(1, ("Config file changed\n"));
+            DEBUG(1, "Config file changed\n");
             cb->modified = file_stat.st_mtime;
 
             /* Tell the monitor to signal the children */
@@ -1910,7 +1910,7 @@ static void poll_config_file(struct tevent_context *ev,
     file_ctx->timer = tevent_add_timer(ev, file_ctx->parent_ctx, tv,
                              poll_config_file, file_ctx);
     if (!file_ctx->timer) {
-        DEBUG(0, ("Error: Config file no longer monitored for changes!\n"));
+        DEBUG(0, "Error: Config file no longer monitored for changes!\n");
     }
 }
 
@@ -1928,8 +1928,8 @@ static int try_inotify(struct config_file_ctx *file_ctx, const char *filename,
         file_ctx->mt_ctx->inotify_fd = inotify_init();
         if (file_ctx->mt_ctx->inotify_fd < 0) {
             err = errno;
-            DEBUG(0, ("Could not initialize inotify, error [%d:%s]\n",
-                      err, strerror(err)));
+            DEBUG(0, "Could not initialize inotify, error [%d:%s]\n",
+                      err, strerror(err));
             return err;
         }
 
@@ -1974,8 +1974,8 @@ static int try_inotify(struct config_file_ctx *file_ctx, const char *filename,
                                cb->filename, IN_MODIFY);
     if (cb->wd < 0) {
         err = errno;
-        DEBUG(0, ("Could not add inotify watch for file [%s]. Error [%d:%s]\n",
-                  cb->filename, err, strerror(err)));
+        DEBUG(0, "Could not add inotify watch for file [%s]. Error [%d:%s]\n",
+                  cb->filename, err, strerror(err));
         close(file_ctx->mt_ctx->inotify_fd);
         return err;
     }
@@ -2004,13 +2004,13 @@ static int monitor_config_file(TALLOC_CTX *mem_ctx,
         err = errno;
         if (err == ENOENT && ignore_missing) {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                    ("file [%s] is missing. Will not update online status "
-                     "based on watching the file\n", file));
+                    "file [%s] is missing. Will not update online status "
+                     "based on watching the file\n", file);
             return EOK;
         } else {
             DEBUG(SSSDBG_FATAL_FAILURE,
-                 ("Could not stat file [%s]. Error [%d:%s]\n",
-                 file, err, strerror(err)));
+                 "Could not stat file [%s]. Error [%d:%s]\n",
+                 file, err, strerror(err));
 
             return err;
         }
@@ -2063,14 +2063,14 @@ errno_t monitor_config_file_fallback(TALLOC_CTX *mem_ctx,
         err = errno;
         if (err == ENOENT && ignore_missing) {
              DEBUG(SSSDBG_MINOR_FAILURE,
-                     ("file [%s] is missing. Will not update online status "
-                      "based on watching the file\n", file));
+                     "file [%s] is missing. Will not update online status "
+                      "based on watching the file\n", file);
              return EOK;
 
         } else {
             DEBUG(SSSDBG_FATAL_FAILURE,
-                 ("Could not stat file [%s]. Error [%d:%s]\n",
-                 file, err, strerror(err)));
+                 "Could not stat file [%s]. Error [%d:%s]\n",
+                 file, err, strerror(err));
 
             return err;
         }
@@ -2134,9 +2134,9 @@ int monitor_process_init(struct mt_ctx *ctx,
         if (ret < 0) {
             error = errno;
             DEBUG(1,
-                  ("Unable to set KRB5RCACHEDIR: %s."
+                  "Unable to set KRB5RCACHEDIR: %s."
                    "Will attempt to use libkrb5 defaults\n",
-                   strerror(error)));
+                   strerror(error));
         }
         talloc_zfree(rcachedir);
     }
@@ -2229,7 +2229,7 @@ int monitor_process_init(struct mt_ctx *ctx,
     ret = setup_netlink(ctx, ctx->ev, network_status_change_cb,
                         ctx, &ctx->nlctx);
     if (ret != EOK) {
-        DEBUG(2, ("Cannot set up listening for network notifications\n"));
+        DEBUG(2, "Cannot set up listening for network notifications\n");
         return ret;
     }
 
@@ -2275,7 +2275,7 @@ static void init_timeout(struct tevent_context *ev,
 {
     struct mon_init_conn *mini;
 
-    DEBUG(2, ("Client timed out before Identification!\n"));
+    DEBUG(2, "Client timed out before Identification!\n");
 
     mini = talloc_get_type(ptr, struct mon_init_conn);
 
@@ -2295,13 +2295,13 @@ static int monitor_service_init(struct sbus_connection *conn, void *data)
     struct mon_init_conn *mini;
     struct timeval tv;
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Initializing D-BUS Service\n"));
+    DEBUG(SSSDBG_TRACE_FUNC, "Initializing D-BUS Service\n");
 
     ctx = talloc_get_type(data, struct mt_ctx);
 
     mini = talloc(conn, struct mon_init_conn);
     if (!mini) {
-        DEBUG(0,("Out of memory?!\n"));
+        DEBUG(0,"Out of memory?!\n");
         talloc_zfree(conn);
         return ENOMEM;
     }
@@ -2313,7 +2313,7 @@ static int monitor_service_init(struct sbus_connection *conn, void *data)
 
     mini->timeout = tevent_add_timer(ctx->ev, mini, tv, init_timeout, mini);
     if (!mini->timeout) {
-        DEBUG(0,("Out of memory?!\n"));
+        DEBUG(0,"Out of memory?!\n");
         talloc_zfree(conn);
         return ENOMEM;
     }
@@ -2335,11 +2335,11 @@ static int service_send_ping(struct mt_svc *svc)
     int ret;
 
     if (!svc->conn) {
-        DEBUG(8, ("Service not yet initialized\n"));
+        DEBUG(8, "Service not yet initialized\n");
         return ENXIO;
     }
 
-    DEBUG(4,("Pinging %s\n", svc->name));
+    DEBUG(4,"Pinging %s\n", svc->name);
 
     /*
      * Set up identity request
@@ -2351,7 +2351,7 @@ static int service_send_ping(struct mt_svc *svc)
                                        MONITOR_INTERFACE,
                                        MON_CLI_METHOD_PING);
     if (!msg) {
-        DEBUG(0,("Out of memory?!\n"));
+        DEBUG(0,"Out of memory?!\n");
         talloc_zfree(svc->conn);
         return ENOMEM;
     }
@@ -2375,7 +2375,7 @@ static void ping_check(DBusPendingCall *pending, void *data)
     if (!svc) {
         /* The connection probably went down before the callback fired.
          * Not much we can do. */
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Invalid service pointer.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Invalid service pointer.\n");
         return;
     }
     svc->pending = NULL;
@@ -2386,8 +2386,8 @@ static void ping_check(DBusPendingCall *pending, void *data)
          * until reply is valid or timeout has occurred. If reply is NULL
          * here, something is seriously wrong and we should bail out.
          */
-        DEBUG(0, ("A reply callback was called but no reply was received"
-                  " and no timeout occurred\n"));
+        DEBUG(0, "A reply callback was called but no reply was received"
+                  " and no timeout occurred\n");
 
         /* Destroy this connection */
         sbus_disconnect(svc->conn);
@@ -2400,7 +2400,7 @@ static void ping_check(DBusPendingCall *pending, void *data)
         /* ok peer replied,
          * make sure we reset the failure counter in the service structure */
 
-        DEBUG(4,("Service %s replied to ping\n", svc->name));
+        DEBUG(4,"Service %s replied to ping\n", svc->name);
 
         svc->failed_pongs = 0;
         break;
@@ -2418,16 +2418,16 @@ static void ping_check(DBusPendingCall *pending, void *data)
         if (strnlen(dbus_error_name, len + 1) == len
                 && strncmp(dbus_error_name, DBUS_ERROR_NO_REPLY, len) == 0) {
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("A service PING timed out on [%s]. "
+                  "A service PING timed out on [%s]. "
                    "Attempt [%d]\n",
-                   svc->name, svc->failed_pongs));
+                   svc->name, svc->failed_pongs);
             svc->failed_pongs++;
             break;
         }
 
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("A service PING returned an error [%s], closing connection.\n",
-               dbus_error_name));
+              "A service PING returned an error [%s], closing connection.\n",
+               dbus_error_name);
         /* Falling through to default intentionally*/
     default:
         /*
@@ -2454,7 +2454,7 @@ static int start_service(struct mt_svc *svc)
     struct tevent_timer *te;
     struct timeval tv;
 
-    DEBUG(4,("Queueing service %s for startup\n", svc->name));
+    DEBUG(4,"Queueing service %s for startup\n", svc->name);
 
     tv = tevent_timeval_current();
 
@@ -2467,7 +2467,7 @@ static int start_service(struct mt_svc *svc)
     te = tevent_add_timer(svc->mt_ctx->ev, svc, tv,
                           service_startup_handler, svc);
     if (te == NULL) {
-        DEBUG(0, ("Unable to queue service %s for startup\n", svc->name));
+        DEBUG(0, "Unable to queue service %s for startup\n", svc->name);
         return ENOMEM;
     }
     return EOK;
@@ -2490,8 +2490,8 @@ static void service_startup_handler(struct tevent_context *ev,
     mt_svc->pid = fork();
     if (mt_svc->pid != 0) {
         if (mt_svc->pid == -1) {
-            DEBUG(0, ("Could not fork child to start service [%s]. "
-                      "Continuing.\n", mt_svc->name));
+            DEBUG(0, "Could not fork child to start service [%s]. "
+                      "Continuing.\n", mt_svc->name);
             return;
         }
 
@@ -2508,7 +2508,7 @@ static void service_startup_handler(struct tevent_context *ev,
                                  &mt_svc->child_ctx);
         if (ret != EOK) {
             DEBUG(SSSDBG_FATAL_FAILURE,
-                  ("Could not register sigchld handler.\n"));
+                  "Could not register sigchld handler.\n");
             /* Should we exit here? For now, we'll hope this
              * child never dies, because we can't restart it.
              */
@@ -2527,7 +2527,7 @@ static void service_startup_handler(struct tevent_context *ev,
 
     /* If we are here, exec() has failed
      * Print errno and abort quickly */
-    DEBUG(0,("Could not exec %s, reason: %s\n", mt_svc->command, strerror(errno)));
+    DEBUG(0,"Could not exec %s, reason: %s\n", mt_svc->command, strerror(errno));
 
     /* We have to call _exit() instead of exit() here
      * because a bug in D-BUS will cause the server to
@@ -2546,8 +2546,8 @@ static void mt_svc_restart(struct tevent_context *ev,
         return;
     }
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Scheduling service %s for restart %d\n",
-                              svc->name, svc->restarts+1));
+    DEBUG(SSSDBG_TRACE_FUNC, "Scheduling service %s for restart %d\n",
+                              svc->name, svc->restarts+1);
 
     if (svc->type == MT_SVC_SERVICE) {
         add_new_service(svc->mt_ctx, svc->name, svc->restarts + 1);
@@ -2556,7 +2556,7 @@ static void mt_svc_restart(struct tevent_context *ev,
     } else {
         /* Invalid type? */
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("BUG: Invalid child process type [%d]\n", svc->type));
+              "BUG: Invalid child process type [%d]\n", svc->type);
     }
 
     /* Free the old service (which will also remove it
@@ -2576,14 +2576,14 @@ static void mt_svc_exit_handler(int pid, int wait_status, void *pvt)
 
     if (WIFEXITED(wait_status)) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Child [%s] exited with code [%d]\n",
-               svc->name, WEXITSTATUS(wait_status)));
+              "Child [%s] exited with code [%d]\n",
+               svc->name, WEXITSTATUS(wait_status));
     } else if (WIFSIGNALED(wait_status)) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Child [%s] terminated with signal [%d]\n",
-               svc->name, WTERMSIG(wait_status)));
+              "Child [%s] terminated with signal [%d]\n",
+               svc->name, WTERMSIG(wait_status));
     } else {
-        DEBUG(0, ("Child [%s] did not exit cleanly\n", svc->name));
+        DEBUG(0, "Child [%s] did not exit cleanly\n", svc->name);
         /* Forcibly kill this child, just in case */
         kill(svc->pid, SIGKILL);
 
@@ -2600,7 +2600,7 @@ static void mt_svc_exit_handler(int pid, int wait_status, void *pvt)
     /* Restart the service */
     if (svc->restarts > MONITOR_MAX_SVC_RESTARTS) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("Process [%s], definitely stopped!\n", svc->name));
+              "Process [%s], definitely stopped!\n", svc->name);
         talloc_free(svc);
 
         /* exit with error */
@@ -2618,7 +2618,7 @@ static void mt_svc_exit_handler(int pid, int wait_status, void *pvt)
     te = tevent_add_timer(svc->mt_ctx->ev, svc, tv, mt_svc_restart, svc);
     if (!te) {
         /* Nothing much we can do */
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Out of memory?!\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Out of memory?!\n");
         return;
     }
 }
@@ -2696,7 +2696,7 @@ int main(int argc, const char *argv[])
     uid = getuid();
     if (uid != 0) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("Running under %"SPRIuid", must be root\n", uid));
+              "Running under %"SPRIuid", must be root\n", uid);
         sss_log(SSS_LOG_ALERT, "sssd must be run as root");
         return 8;
     }
@@ -2779,9 +2779,9 @@ int main(int argc, const char *argv[])
                 break;
 
             case EOK:
-                DEBUG(SSSDBG_TRACE_FUNC, ("NSCD socket was detected and it "
+                DEBUG(SSSDBG_TRACE_FUNC, "NSCD socket was detected and it "
                             "seems to be configured not to interfere with "
-                            "SSSD's caching capabilities\n"));
+                            "SSSD's caching capabilities\n");
         }
     }
 
@@ -2792,11 +2792,11 @@ int main(int argc, const char *argv[])
         case EPERM:
         case EACCES:
             DEBUG(SSSDBG_CRIT_FAILURE,
-                 ("Insufficient permissions to read configuration file.\n"));
+                 "Insufficient permissions to read configuration file.\n");
             break;
         default:
             DEBUG(SSSDBG_CRIT_FAILURE,
-                 ("SSSD couldn't load the configuration database.\n"));
+                 "SSSD couldn't load the configuration database.\n");
             sss_log(SSS_LOG_ALERT,
                    "SSSD couldn't load the configuration database [%d]: %s.\n",
                     ret, strerror(ret));
diff --git a/src/monitor/monitor_netlink.c b/src/monitor/monitor_netlink.c
index 6baf136..24fbed5 100644
--- a/src/monitor/monitor_netlink.c
+++ b/src/monitor/monitor_netlink.c
@@ -155,7 +155,7 @@ static bool has_wireless_extension(const char *ifname)
     s = socket(PF_INET, SOCK_DGRAM, 0);
     if (s == -1) {
         ret = errno;
-        DEBUG(2, ("Could not open socket: [%d] %s\n", ret, strerror(ret)));
+        DEBUG(2, "Could not open socket: [%d] %s\n", ret, strerror(ret));
         return false;
     }
 
@@ -178,10 +178,10 @@ static bool has_ethernet_encapsulation(const char *sysfs_path)
     ret = snprintf(type_path, SYSFS_TYPE_PATH_MAX,
                    "%s/%s", sysfs_path, TYPE_FILE);
     if (ret < 0) {
-        DEBUG(SSSDBG_OP_FAILURE, ("snprintf failed\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "snprintf failed\n");
         return false;
     } else if (ret >= SYSFS_TYPE_PATH_MAX) {
-        DEBUG(SSSDBG_OP_FAILURE, ("path too long?!?!\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "path too long?!?!\n");
         return false;
     }
 
@@ -189,8 +189,8 @@ static bool has_ethernet_encapsulation(const char *sysfs_path)
     fd = open(type_path, O_RDONLY);
     if (fd == -1) {
         ret = errno;
-        DEBUG(SSSDBG_OP_FAILURE, ("Could not open sysfs file %s: [%d] %s\n",
-              type_path, ret, strerror(ret)));
+        DEBUG(SSSDBG_OP_FAILURE, "Could not open sysfs file %s: [%d] %s\n",
+              type_path, ret, strerror(ret));
         return false;
     }
 
@@ -200,7 +200,7 @@ static bool has_ethernet_encapsulation(const char *sysfs_path)
     if (ret == -1) {
         ret = errno;
         DEBUG(SSSDBG_OP_FAILURE,
-              ("read failed [%d][%s].\n", ret, strerror(ret)));
+              "read failed [%d][%s].\n", ret, strerror(ret));
         close(fd);
         return false;
     }
@@ -219,10 +219,10 @@ static bool has_phy_80211_subdir(const char *sysfs_path)
     ret = snprintf(phy80211_path, SYSFS_SUBDIR_PATH_MAX,
                    "%s/%s", sysfs_path, PHY_80211_SUBDIR);
     if (ret < 0) {
-        DEBUG(SSSDBG_OP_FAILURE, ("snprintf failed"));
+        DEBUG(SSSDBG_OP_FAILURE, "snprintf failed");
         return false;
     } else if (ret >= SYSFS_SUBDIR_PATH_MAX) {
-        DEBUG(SSSDBG_OP_FAILURE, ("path too long?!?!\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "path too long?!?!\n");
         return false;
     }
 
@@ -231,18 +231,18 @@ static bool has_phy_80211_subdir(const char *sysfs_path)
     if (ret == -1) {
         ret = errno;
         if (ret == ENOENT || ret == ENOTDIR) {
-            DEBUG(SSSDBG_TRACE_LIBS, ("No %s directory in sysfs, probably "
-                  "not a wireless interface\n", PHY_80211_SUBDIR));
+            DEBUG(SSSDBG_TRACE_LIBS, "No %s directory in sysfs, probably "
+                  "not a wireless interface\n", PHY_80211_SUBDIR);
         } else {
-            DEBUG(SSSDBG_OP_FAILURE, ("stat failed: [%d] %s\n",
-                  ret, strerror(ret)));
+            DEBUG(SSSDBG_OP_FAILURE, "stat failed: [%d] %s\n",
+                  ret, strerror(ret));
         }
         return false;
     }
 
     if (statbuf.st_mode & S_IFDIR) {
-        DEBUG(SSSDBG_TRACE_LIBS, ("Directory %s found in sysfs, looks like "
-              "a wireless iface\n", PHY_80211_SUBDIR));
+        DEBUG(SSSDBG_TRACE_LIBS, "Directory %s found in sysfs, looks like "
+              "a wireless iface\n", PHY_80211_SUBDIR);
         return true;
     }
 
@@ -256,32 +256,32 @@ static bool discard_iff_up(const char *ifname)
 
     /* This catches most of the new 80211 drivers */
     if (has_wireless_extension(ifname)) {
-        DEBUG(SSSDBG_TRACE_FUNC, ("%s has a wireless extension\n", ifname));
+        DEBUG(SSSDBG_TRACE_FUNC, "%s has a wireless extension\n", ifname);
         return true;
     }
 
     ret = snprintf(path, SYSFS_IFACE_PATH_MAX, SYSFS_IFACE_TEMPLATE, ifname);
     if (ret < 0) {
-        DEBUG(SSSDBG_OP_FAILURE, ("snprintf failed"));
+        DEBUG(SSSDBG_OP_FAILURE, "snprintf failed");
         return false;
     } else if (ret >= SYSFS_IFACE_PATH_MAX) {
-        DEBUG(SSSDBG_OP_FAILURE, ("path too long?!?!\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "path too long?!?!\n");
         return false;
     }
 
     /* This will filter PPP and such. Both wired and wireless
      * interfaces have the encapsulation. */
     if (!has_ethernet_encapsulation(path)) {
-        DEBUG(SSSDBG_TRACE_FUNC, ("%s does not have ethernet encapsulation, "
-              "filtering out\n", ifname));
+        DEBUG(SSSDBG_TRACE_FUNC, "%s does not have ethernet encapsulation, "
+              "filtering out\n", ifname);
         return true;
     }
 
     /* This captures old WEXT drivers, the new mac8011 would
      * be caught by the ioctl check */
     if (has_phy_80211_subdir(path)) {
-        DEBUG(SSSDBG_TRACE_FUNC, ("%s has a 802_11 subdir, filtering out\n",
-              ifname));
+        DEBUG(SSSDBG_TRACE_FUNC, "%s has a 802_11 subdir, filtering out\n",
+              ifname);
         return true;
     }
 
@@ -303,7 +303,7 @@ static void nladdr_to_string(struct nl_addr *nl, char *buf, size_t bufsize)
     if (!addr) return;
 
     if (inet_ntop(addr_family, addr, buf, bufsize) == NULL) {
-        DEBUG(SSSDBG_MINOR_FAILURE, ("inet_ntop failed\n"));
+        DEBUG(SSSDBG_MINOR_FAILURE, "inet_ntop failed\n");
         snprintf(buf, bufsize, "unknown");
     }
 }
@@ -320,7 +320,7 @@ static bool nlw_accept_message(struct nlw_handle *nlp,
     uint32_t local_port;
 
     if (snl == NULL) {
-        DEBUG(3, ("Malformed message, skipping\n"));
+        DEBUG(3, "Malformed message, skipping\n");
         return false;
     }
 
@@ -338,8 +338,8 @@ static bool nlw_accept_message(struct nlw_handle *nlp,
     }
 
     if (accept_msg == false) {
-        DEBUG(9, ("ignoring netlink message from PID %d",
-                  hdr->nlmsg_pid));
+        DEBUG(9, "ignoring netlink message from PID %d",
+                  hdr->nlmsg_pid);
     }
 
     return accept_msg;
@@ -352,13 +352,13 @@ static bool nlw_is_addr_object(struct nl_object *obj)
 
     filter = rtnl_addr_alloc();
     if (!filter) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Allocation error!\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Allocation error!\n");
         is_addr_object = false;
     }
 
     /* Ensure it's an addr object */
     if (!nl_object_match_filter(obj, OBJ_CAST(filter))) {
-        DEBUG(SSSDBG_MINOR_FAILURE, ("Not an addr object\n"));
+        DEBUG(SSSDBG_MINOR_FAILURE, "Not an addr object\n");
         is_addr_object = false;
     }
 
@@ -373,13 +373,13 @@ static bool nlw_is_route_object(struct nl_object *obj)
 
     filter = rtnl_route_alloc();
     if (!filter) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Allocation error!\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Allocation error!\n");
         is_route_object = false;
     }
 
     /* Ensure it's a route object */
     if (!nl_object_match_filter(obj, OBJ_CAST(filter))) {
-        DEBUG(SSSDBG_MINOR_FAILURE, ("Not a route object\n"));
+        DEBUG(SSSDBG_MINOR_FAILURE, "Not a route object\n");
         is_route_object = false;
     }
 
@@ -394,13 +394,13 @@ static bool nlw_is_link_object(struct nl_object *obj)
 
     filter = rtnl_link_alloc();
     if (!filter) {
-        DEBUG(0, ("Allocation error!\n"));
+        DEBUG(0, "Allocation error!\n");
         is_link_object = false;
     }
 
     /* Ensure it's a link object */
     if (!nl_object_match_filter(obj, OBJ_CAST(filter))) {
-        DEBUG(2, ("Not a link object\n"));
+        DEBUG(2, "Not a link object\n");
         is_link_object = false;
     }
 
@@ -427,7 +427,7 @@ static int nlw_group_subscribe(struct nlw_handle *nlp, int group)
     ret = nl_socket_add_membership(nlp, group);
     if (ret != 0) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Unable to add membership: %s\n", nlw_geterror(ret)));
+              "Unable to add membership: %s\n", nlw_geterror(ret));
         return ret;
     }
 #else
@@ -438,7 +438,7 @@ static int nlw_group_subscribe(struct nlw_handle *nlp, int group)
                       &group, sizeof(group));
      if (ret < 0) {
          ret = errno;
-         DEBUG(1, ("setsockopt failed (%d): %s\n", ret, strerror(ret)));
+         DEBUG(1, "setsockopt failed (%d): %s\n", ret, strerror(ret));
          return ret;
      }
 #endif
@@ -473,8 +473,8 @@ static int event_msg_recv(struct nl_msg *msg, void *arg)
     creds = nlmsg_get_creds(msg);
     if (!creds || creds->uid != 0) {
         DEBUG(SSSDBG_TRACE_ALL,
-              ("Ignoring netlink message from UID %"SPRIuid,
-                  creds ? creds->uid : (uid_t)-1));
+              "Ignoring netlink message from UID %"SPRIuid,
+                  creds ? creds->uid : (uid_t)-1);
         return NL_SKIP;
     }
 
@@ -494,7 +494,7 @@ static void addr_msg_handler(struct nl_object *obj, void *arg);
 
 static enum nlw_msg_type message_type(struct nlmsghdr *hdr)
 {
-    DEBUG(SSSDBG_FUNC_DATA, ("netlink Message type: %d\n", hdr->nlmsg_type));
+    DEBUG(SSSDBG_FUNC_DATA, "netlink Message type: %d\n", hdr->nlmsg_type);
     switch (hdr->nlmsg_type) {
         /* network interface added */
         case RTM_NEWLINK:
@@ -548,7 +548,7 @@ static int nlw_set_callbacks(struct nlw_handle *nlp, void *data)
     ret = nl_cb_set(cb, NL_CB_MSG_IN, NL_CB_CUSTOM, event_msg_recv, data);
 #endif
     if (ret != 0) {
-        DEBUG(1, ("Unable to set validation callback\n"));
+        DEBUG(1, "Unable to set validation callback\n");
         return ret;
     }
 
@@ -559,7 +559,7 @@ static int nlw_set_callbacks(struct nlw_handle *nlp, void *data)
     ret = nl_cb_set(cb, NL_CB_VALID, NL_CB_CUSTOM, event_msg_ready, data);
 #endif
     if (ret != 0) {
-        DEBUG(1, ("Unable to set receive callback\n"));
+        DEBUG(1, "Unable to set receive callback\n");
         return ret;
     }
 
@@ -581,9 +581,9 @@ static void route_msg_debug_print(struct rtnl_route *route_obj)
         prefixlen = 0;
     }
 
-    DEBUG(SSSDBG_TRACE_LIBS, ("route idx %d flags %#X family %d addr %s/%d\n",
+    DEBUG(SSSDBG_TRACE_LIBS, "route idx %d flags %#X family %d addr %s/%d\n",
           rtnlw_route_get_oif(route_obj), rtnl_route_get_flags(route_obj),
-          rtnl_route_get_family(route_obj), buf, prefixlen));
+          rtnl_route_get_family(route_obj), buf, prefixlen);
 
 }
 
@@ -600,7 +600,7 @@ static bool route_is_multicast(struct rtnl_route *route_obj)
 
     nl = rtnl_route_get_dst(route_obj);
     if (!nl) {
-        DEBUG(SSSDBG_MINOR_FAILURE, ("A route with no destination?\n"));
+        DEBUG(SSSDBG_MINOR_FAILURE, "A route with no destination?\n");
         return false;
     }
 
@@ -620,7 +620,7 @@ static bool route_is_multicast(struct rtnl_route *route_obj)
         return IN6_IS_ADDR_MULTICAST(addr6);
     }
 
-    DEBUG(SSSDBG_MINOR_FAILURE, ("Unknown route address family\n"));
+    DEBUG(SSSDBG_MINOR_FAILURE, "Unknown route address family\n");
     return false;
 }
 
@@ -635,7 +635,7 @@ static void route_msg_handler(struct nl_object *obj, void *arg)
 
     if (route_is_multicast(route_obj)) {
         DEBUG(SSSDBG_TRACE_INTERNAL,
-              ("Discarding multicast route message\n"));
+              "Discarding multicast route message\n");
         return;
     }
 
@@ -661,8 +661,8 @@ static void addr_msg_debug_print(struct rtnl_addr *addr_obj)
     rtnl_addr_flags2str(flags, str_flags, 512);
     nladdr_to_string(local_addr, buf, INET6_ADDRSTRLEN);
 
-    DEBUG(SSSDBG_TRACE_LIBS, ("netlink addr message: iface idx %u "
-          "addr %s flags 0x%X (%s)\n", ifidx, buf, flags, str_flags));
+    DEBUG(SSSDBG_TRACE_LIBS, "netlink addr message: iface idx %u "
+          "addr %s flags 0x%X (%s)\n", ifidx, buf, flags, str_flags);
 }
 
 static void addr_msg_handler(struct nl_object *obj, void *arg)
@@ -698,8 +698,8 @@ static void link_msg_handler(struct nl_object *obj, void *arg)
     rtnl_link_flags2str(flags, str_flags, 512);
 
     ifname = rtnl_link_get_name(link_obj);
-    DEBUG(SSSDBG_TRACE_LIBS, ("netlink link message: iface idx %u (%s) "
-          "flags 0x%X (%s)\n", ifidx, ifname, flags, str_flags));
+    DEBUG(SSSDBG_TRACE_LIBS, "netlink link message: iface idx %u (%s) "
+          "flags 0x%X (%s)\n", ifidx, ifname, flags, str_flags);
 
     /* IFF_LOWER_UP is the indicator of carrier status */
     if ((flags & IFF_RUNNING) && (flags & IFF_LOWER_UP) &&
@@ -715,13 +715,13 @@ static void netlink_fd_handler(struct tevent_context *ev, struct tevent_fd *fde,
     int ret;
 
     if (!nlctx || !nlctx->nlp) {
-        DEBUG(1, ("Invalid netlink handle, this is most likely a bug!\n"));
+        DEBUG(1, "Invalid netlink handle, this is most likely a bug!\n");
         return;
     }
 
     ret = nl_recvmsgs_default(nlctx->nlp);
     if (ret != EOK) {
-        DEBUG(1, ("Error while reading from netlink fd\n"));
+        DEBUG(1, "Error while reading from netlink fd\n");
         return;
     }
 }
@@ -751,8 +751,8 @@ int setup_netlink(TALLOC_CTX *mem_ctx, struct tevent_context *ev,
     /* allocate the libnl handle/socket and register the default filter set */
     nlctx->nlp = nlw_alloc();
     if (!nlctx->nlp) {
-        DEBUG(SSSDBG_CRIT_FAILURE, (("unable to allocate netlink handle: %s"),
-                                     nlw_geterror(ENOMEM)));
+        DEBUG(SSSDBG_CRIT_FAILURE, ("unable to allocate netlink handle: %s"),
+                                     nlw_geterror(ENOMEM));
         ret = ENOMEM;
         goto fail;
     }
@@ -760,7 +760,7 @@ int setup_netlink(TALLOC_CTX *mem_ctx, struct tevent_context *ev,
     /* Register our custom message validation filter */
     ret = nlw_set_callbacks(nlctx->nlp, nlctx);
     if (ret != 0) {
-        DEBUG(1, ("Unable to set callbacks\n"));
+        DEBUG(1, "Unable to set callbacks\n");
         ret = EIO;
         goto fail;
     }
@@ -769,7 +769,7 @@ int setup_netlink(TALLOC_CTX *mem_ctx, struct tevent_context *ev,
     ret = nl_connect(nlctx->nlp, NETLINK_ROUTE);
     if (ret != 0) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Unable to connect to netlink: %s\n", nlw_geterror(ret)));
+              "Unable to connect to netlink: %s\n", nlw_geterror(ret));
         ret = EIO;
         goto fail;
     }
@@ -777,7 +777,7 @@ int setup_netlink(TALLOC_CTX *mem_ctx, struct tevent_context *ev,
     ret = nlw_enable_passcred(nlctx->nlp);
     if (ret != 0) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Cannot enable credential passing: %s\n", nlw_geterror(ret)));
+              "Cannot enable credential passing: %s\n", nlw_geterror(ret));
         ret = EIO;
         goto fail;
     }
@@ -785,7 +785,7 @@ int setup_netlink(TALLOC_CTX *mem_ctx, struct tevent_context *ev,
     /* Subscribe to the LINK group for internal carrier signals */
     ret = nlw_groups_subscribe(nlctx->nlp, groups);
     if (ret != 0) {
-        DEBUG(1, ("Unable to subscribe to netlink monitor\n"));
+        DEBUG(1, "Unable to subscribe to netlink monitor\n");
         ret = EIO;
         goto fail;
     }
@@ -799,14 +799,14 @@ int setup_netlink(TALLOC_CTX *mem_ctx, struct tevent_context *ev,
     ret = fcntl(nlfd, F_SETFL, flags | O_NONBLOCK);
     if (ret < 0) {
         ret = errno;
-        DEBUG(1, ("Cannot set the netlink fd to nonblocking\n"));
+        DEBUG(1, "Cannot set the netlink fd to nonblocking\n");
         goto fail;
     }
 
     nlctx->tefd = tevent_add_fd(ev, nlctx, nlfd, TEVENT_FD_READ,
                                 netlink_fd_handler, nlctx);
     if (nlctx->tefd == NULL) {
-        DEBUG(1, ("tevent_add_fd() failed\n"));
+        DEBUG(1, "tevent_add_fd() failed\n");
         ret = EIO;
         goto fail;
     }
